<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\HonorarListen\ShowSettingsHonorarListen;

class ShowSettingsHonorarListenPresenter extends \Kufer\Web\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowSettingsDruckListen\ShowSettingsDruckListenPresenter
{
  protected function getView()
  {
    return new ShowSettingsHonorarListenView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new ShowSettingsHonorarListenViewModel();
    
    parent::_setViewModelAttributes($viewModel);

    
    $viewModel->zahljahr = $this->useCaseResponse->zahljahr;
    $viewModel->useZahljahr = $this->useCaseResponse->useZahljahr;
    $viewModel->zahljahrDisabled = $this->useCaseResponse->zahljahrDisabled;
    
    
    $viewModel->kurstagTitle = $this->useCaseResponse->kurstagTitle;

    return $viewModel;
  }

  
}